Package tigase.disco

## Class ServiceIdentity

- java.lang.Object
- - tigase.disco.ServiceIdentity

-     public class ServiceIdentity
      extends java.lang.Object

  Describe class ServiceIdentity here.
  Created: Sat Feb 10 13:34:54 2007
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServiceIdentity​(java.lang.String category, java.lang.String type)` | Creates a new `ServiceIdentity` instance.
    `ServiceIdentity​(java.lang.String category, java.lang.String type, java.lang.String name)` |
    `ServiceIdentity​(java.lang.String category, java.lang.String type, java.lang.String name, java.lang.String lang)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.String` | `getAsCapsString()` |
    `java.lang.String` | `getCategory()` |
    `Element` | `getElement()` |
    `java.lang.String` | `getLang()` |
    `java.lang.String` | `getName()` |
    `static java.lang.String[]` | `getServiceIdentitiesCapsFromDiscoInfo​(Element discoInfo)` |
    `static ServiceIdentity[]` | `getServiceIdentitiesFromDiscoInfo​(Element discoInfo)` |
    `java.lang.String` | `getType()` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceIdentity

          public ServiceIdentity​(java.lang.String category,
                                 java.lang.String type)

      Creates a new `ServiceIdentity` instance.

    - #### ServiceIdentity

          public ServiceIdentity​(java.lang.String category,
                                 java.lang.String type,
                                 java.lang.String name)

    - #### ServiceIdentity

          public ServiceIdentity​(java.lang.String category,
                                 java.lang.String type,
                                 java.lang.String name,
                                 java.lang.String lang)

  - ### Method Detail

    - #### getServiceIdentitiesCapsFromDiscoInfo

          public static java.lang.String[] getServiceIdentitiesCapsFromDiscoInfo​(Element discoInfo)

    - #### getServiceIdentitiesFromDiscoInfo

          public static ServiceIdentity[] getServiceIdentitiesFromDiscoInfo​(Element discoInfo)

    - #### getCategory

          public java.lang.String getCategory()

    - #### getType

          public java.lang.String getType()

    - #### getName

          public java.lang.String getName()

    - #### getElement

          public Element getElement()

    - #### getAsCapsString

          public java.lang.String getAsCapsString()

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getLang

          public java.lang.String getLang()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`